//+------------------------------------------------------------------+
//|       N      |
//|                               Copyright  2012,   |
//|                                                cmillion@narod.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, http://cmillion.narod.ru"
#property link      "cmillion@narod.ru"
#property indicator_chart_window
//--------------------------------------------------------------------
extern int    N = 45;        //-  
extern int timeFrame = 0;
extern string UniqueID="Instance1";
//--------------------------------------------------------------------
int init()
{
   timeFrame = MathMax(Period(),timeFrame);
   return(0);
}
int deinit()
{
   ObjectDelete(UniqueID+"Max");
   ObjectDelete(UniqueID+"Min");
   ObjectDelete(UniqueID+"Max1");
   ObjectDelete(UniqueID+"Min1");
   return(0);
}
//--------------------------------------------------------------------
int start()
{
   double Max = iHigh(NULL,timeFrame,iHighest(NULL,timeFrame,MODE_HIGH,N,0)); 
   double Min = iLow(NULL,timeFrame,iLowest(NULL,timeFrame,MODE_LOW,N,0)); 
   ARROW(UniqueID+"Max",Time[0],Max,Blue,6);                     
   ARROW(UniqueID+"Min",Time[0],Min,Red,6);                     
   TREND(UniqueID+"Max1",iTime(NULL,timeFrame,N),Max,Time[0],Max,Blue,0,1);                     
   TREND(UniqueID+"Min1",iTime(NULL,timeFrame,N),Min,Time[0],Min,Red,0,1);                     
   return(0);
}
//--------------------------------------------------------------------
void ARROW(string name, datetime T1, double P1, color C, int ARROWCODE)
{
   ObjectDelete(name);                     
   ObjectCreate(name,OBJ_ARROW,0,T1,P1,0,0,0,0);                     
   ObjectSet   (name,OBJPROP_ARROWCODE,ARROWCODE);
   ObjectSet   (name,OBJPROP_COLOR, C);
}
//--------------------------------------------------------------------+
void TREND(string name, datetime T1, double P1, datetime T2, double P2, color C, int STYLE, int WIDTH)
{
   ObjectDelete(name);                     
   ObjectCreate(name, OBJ_TREND,0,T1,P1,T2,P2);                     
   ObjectSet   (name, OBJPROP_COLOR, C);   
   ObjectSet   (name, OBJPROP_STYLE, STYLE);
   ObjectSet   (name, OBJPROP_WIDTH, WIDTH);
   ObjectSet   (name, OBJPROP_BACK,  true);
   ObjectSet   (name, OBJPROP_RAY,   false); 
}
//--------------------------------------------------------------------+


